using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class china_picmore : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SqlConnection conn = CDatabase.wtoconn();
        conn.Open();
        SqlCommand smd = new SqlCommand("select Picmore from ProductInfo where id="+Request.QueryString["id"].Trim(), conn);
        string txt =Convert.ToString(smd.ExecuteScalar());
        if (txt =="")
        {
            SqlCommand smdc = new SqlCommand("select ClearPic from ProductInfo where id=" + Request.QueryString["id"].Trim(), conn);
            txt = Convert.ToString(smdc.ExecuteScalar()) + "$";
        }

        RegisterStartupScript("", "<script>fz('" + txt + "')</script>");
        SqlCommand smd8 = new SqlCommand("select WEBName,LOGOpic from SystemBasicInformation", conn);
        SqlDataReader sdr = smd8.ExecuteReader();
        sdr.Read();
        this.Title = sdr.GetString(0) + "——更多图片";
        this.img1.ImageUrl ="~/images/"+sdr.GetString(1);
        this.img1.PostBackUrl = "~/Default.aspx";
        sdr.Close();
        conn.Close();

    }
    protected void Page_PreInit(object sender, EventArgs e)
    {
        SqlConnection connsk = CDatabase.wtoconn();
        connsk.Open();
        if (Session["skin"] == null)
        {
            SqlCommand smdskin = new SqlCommand("select skinid from SystemBasicInformation", connsk);
            Session["skin"] = Convert.ToString(smdskin.ExecuteScalar());
        }
        this.Page.Theme = Session["skin"].ToString();
        connsk.Close();
    }
}
